
#set output "rlc-series.ps"; set term postscript color
set output "rlc-series.pdf"; set term pdf
set grid
set key opaque
set style data lines

R="`head -n 1 rlc-series.dat | sed 's/^.* R=\([-+e\.0-9]*\) .*$/\1/'`"
L="`head -n 1 rlc-series.dat | sed 's/^.* L=\([-+e\.0-9]*\) .*$/\1/'`"
C="`head -n 1 rlc-series.dat | sed 's/^.* C=\([-+e\.0-9]*\).*$/\1/'`"
T=sprintf("Series RLC Circuit (R=%s{/Symbol W}, C=%s{F}, L=%s{H})",R,L,C)
set title T
set xlabel "t [s]"
set ylabel "u_R, u_L, u_C [V]"
plot "rlc-series.dat" using 1:2 lw 2 lc 7 title "u_C", \
                   "" using 1:3 lw 1 lc 6 title "u_L", \
                   "" using 1:($4*10) lw 2 lc 0 title "u_R"

set ylabel "i [A]"
set title "RLC Phase Space"
set xlabel "u_C [V]"
plot "rlc-series.dat" using 2:4 lw 2 lc 0 notitle

